<?php

/******************************************************************************
 *
 *	PROJECT: Flynax Classifieds Software
 *	VERSION: 4.X
 *	LICENSE: FL0M2SG681CQ - http://www.flynax.com/license-agreement.html
 *	PRODUCT: Pets Classifieds
 *	DOMAIN: pupsnshop.com
 *	FILE: IMPORT.PHP
 *
 *	The software is a commercial product delivered under single, non-exclusive, 
 *	non-transferable license for one domain or IP address. Therefore distribution, 
 *	sale or transfer of the file in whole or in part without permission of Flynax 
 *	respective owners is considered to be illegal and breach of Flynax License End 
 *	User Agreement. 
 *
 *	You are not allowed to remove this information from the file without permission
 *	of Flynax respective owners.
 *
 *	Flynax Classifieds Software 2014 |  All copyrights reserved. 
 *
 *	http://www.flynax.com/
 *
 ******************************************************************************/

session_start();

require_once('../../../includes/config.inc.php');
require_once(RL_CLASSES .'rlDb.class.php' );
require_once(RL_CLASSES .'reefless.class.php' );

$rlDb = new rlDb();
$reefless = new reefless();

$reefless -> connect(RL_DBHOST, RL_DBPORT, RL_DBUSER, RL_DBPASS, RL_DBNAME);
$reefless -> loadClass('Debug');
$reefless -> loadClass('Valid');
$reefless -> loadClass('Categories');
$reefless -> loadClass('ImportExportCategories', null, 'importExportCategories');

if ( file_exists($rlImportExportCategories -> tmp_file) )
{
	if ( $_GET['start'] == 0 )
	{
		unset($_SESSION['imex_plugin']['ic_count']);
	}

	$start = (int)$_GET['start'] + 1;
	$limit = 1000 + 1;
	$stop = $start + $limit;
	$next_iteration = false;

	$languages = $rlDb -> fetch(array('Code'), array('Status' => 'active'), null, null, 'languages');
	$GLOBALS['languages'] = &$languages;

	$listing_type = $_SESSION['imex_plugin']['listing_type'];
	$categories = $rlImportExportCategories -> getCategories($start, $stop, true);

	$c_count = count($categories);
	if ( $c_count == $limit )
	{
		array_splice($categories, -1, 1); // remove last element
		$next_iteration = true;
	}

	$status = $rlImportExportCategories -> import($categories, $listing_type);

	$response = array(
		'ic_count' => $rlImportExportCategories -> last_import_count,
		'next' => $next_iteration,
		'start' => $stop - 2,
		'status' => $status
	);
	echo json_encode($response);
}
